Bug 1881629 - package knot-resolver-5.1.3-1.fc31.x86_64 requires libknot.so.10()(64bit), but none of the providers can be installed
Summary: package knot-resolver-5.1.3-1.fc31.x86_64 requires libknot.so.10()(64bit), bu...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: knot-resolver
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Špaček
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-22 19:06 UTC by stan
Modified: 2020-09-25 14:25 UTC (History)
5 users (show)

Fixed In Version: knot-resolver-5.1.3-2.fc31
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-24 14:39:55 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description stan 2020-09-22 19:06:06 UTC
Description of problem:  There is a library version mismatch between knot-resolver and knot-libs preventing both from being updated.  It seems that the knot-libs 3.0 package was built after knot-resolver used knot-libs 2.9 to be built.  Now there is a deadlock as they prevent each other from being updated.


Version-Release number of selected component (if applicable):
Name        : knot-resolver
Version     : 5.1.3
Release     : 1.fc31
Architecture: x86_64

How reproducible:
every time


Steps to Reproduce:
1. Have knot-resolver 5.1.3 installed
2. Run a dnf update
3.

Actual results:
package knot-resolver-5.1.3-1.fc31.x86_64 requires libknot.so.10()(64bit), but none of the providers can be installed
  - cannot install both knot-libs-3.0.0-1.fc31.x86_64 and knot-libs-2.9.6-1.fc31.x86_64
  - cannot install the best update candidate for package knot-resolver-5.1.3-1.fc31.x86_64
  - cannot install the best update candidate for package knot-libs-2.9.6-1.fc31.x86_64


Expected results:
update succeeds

Additional info:

Comment 1 Fedora Update System 2020-09-23 11:33:55 UTC
FEDORA-2020-cffab3ad17 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-cffab3ad17

Comment 2 Fedora Update System 2020-09-23 17:41:28 UTC
FEDORA-2020-cffab3ad17 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-cffab3ad17`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-cffab3ad17

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 3 Fedora Update System 2020-09-24 14:39:55 UTC
FEDORA-2020-cffab3ad17 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 4 stan 2020-09-25 14:25:04 UTC
Yes, this worked.  Thanks for your help.


Note You need to log in before you can comment on or make changes to this bug.